[SCM] eclipse - Powerful IDE written in java - Debian package. branch, master-3.6, updated. eclipse-ppa/maverick-44-ga655c82

Benjamin Drung bdrung-guest at alioth.debian.org
Tue Jun 22 16:08:32 UTC 2010


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "eclipse - Powerful IDE written in java - Debian package.".

The branch, master-3.6 has been updated
       via  a655c824c4c695bb3d771df443a3e4fa9d079f5c (commit)
      from  d4098c9a442f2c64cb9081e84d44c769a80bcff0 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit a655c824c4c695bb3d771df443a3e4fa9d079f5c
Author: Benjamin Drung <bdrung at ubuntu.com>
Date:   Tue Jun 22 18:08:14 2010 +0200

    Add regenerateBootstrapFiles.patch.

-----------------------------------------------------------------------

Summary of changes:
 debian/patches/regenerateBootstrapFiles.patch |   32 +++++++++++++++++++++++++
 debian/patches/series                         |    1 +
 regenerateBootstrapFiles.sh                   |   14 +++++++++-
 3 files changed, 45 insertions(+), 2 deletions(-)

diff --git a/debian/patches/regenerateBootstrapFiles.patch b/debian/patches/regenerateBootstrapFiles.patch
new file mode 100644
index 0000000..f6f0b43
--- /dev/null
+++ b/debian/patches/regenerateBootstrapFiles.patch
@@ -0,0 +1,32 @@
+Description: Make regenerateBootstrapFiles.sh more flexible
+Author: Benjamin Drung <bdrung at ubuntu.com>
+Bug: https://bugs.eclipse.org/bugs/show_bug.cgi?id=317611
+
+--- a/regenerateBootstrapFiles.sh
++++ b/regenerateBootstrapFiles.sh
+@@ -1,4 +1,5 @@
+-#!/bin/bash
++#!/bin/sh
++set -e
+ 
+ baseDir=$(pwd)
+ workDirectory=
+@@ -10,8 +11,17 @@
+ fetchTests="no"
+ ecfTag="v20090604-1131"
+ 
++if ls /usr/lib/eclipse/plugins/org.eclipse.equinox.launcher_*.jar > /dev/null 2>&1; then
++	launcherDir=/usr/lib/eclipse/plugins
++elif ls /home/akurtakov/opt/eclipse/plugins/org.eclipse.equinox.launcher_*.jar > /dev/null 2>&1; then
++	launcherDir=/home/akurtakov/opt/eclipse/plugins
++else
++	echo "E: No org.eclipse.equinox.launcher_*.jar file found. Please specify one in this script." >&2
++	exit 1
++fi
++
+ java -jar \
+-/home/akurtakov/opt/eclipse/plugins/org.eclipse.equinox.launcher_*.jar \
++$launcherDir/org.eclipse.equinox.launcher_*.jar \
+ -consolelog \
+ -data build/eclipse-3.6.0-src \
+ -application org.eclipse.ant.core.antRunner \
diff --git a/debian/patches/series b/debian/patches/series
index 7126540..53ae256 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -17,3 +17,4 @@ fix-tooltip-color.patch
 fix-bashism.patch
 build-arch.patch
 update-dependency.patch
+regenerateBootstrapFiles.patch
diff --git a/regenerateBootstrapFiles.sh b/regenerateBootstrapFiles.sh
index ebb7187..0ad4078 100644
--- a/regenerateBootstrapFiles.sh
+++ b/regenerateBootstrapFiles.sh
@@ -1,4 +1,5 @@
-#!/bin/bash
+#!/bin/sh
+set -e
 
 baseDir=$(pwd)
 workDirectory=
@@ -10,8 +11,17 @@ eclipseBuilderTag="R3_5_2"
 fetchTests="no"
 ecfTag="v20090604-1131"
 
+if ls /usr/lib/eclipse/plugins/org.eclipse.equinox.launcher_*.jar > /dev/null 2>&1; then
+	launcherDir=/usr/lib/eclipse/plugins
+elif ls /home/akurtakov/opt/eclipse/plugins/org.eclipse.equinox.launcher_*.jar > /dev/null 2>&1; then
+	launcherDir=/home/akurtakov/opt/eclipse/plugins
+else
+	echo "E: No org.eclipse.equinox.launcher_*.jar file found. Please specify one in this script." >&2
+	exit 1
+fi
+
 java -jar \
-/home/akurtakov/opt/eclipse/plugins/org.eclipse.equinox.launcher_*.jar \
+$launcherDir/org.eclipse.equinox.launcher_*.jar \
 -consolelog \
 -data build/eclipse-3.6.0-src \
 -application org.eclipse.ant.core.antRunner \


hooks/post-receive
-- 
eclipse - Powerful IDE written in java - Debian package.



More information about the pkg-java-commits mailing list